Package ru.bitel.bgbilling.kernel.admin.mail.common.bean

# Enum Class MailConfig.HandlerMode

java.lang.Object
java.lang.Enum<MailConfig.HandlerMode>
ru.bitel.bgbilling.kernel.admin.mail.common.bean.MailConfig.HandlerMode

All Implemented Interfaces:
  `Serializable`, `Comparable<MailConfig.HandlerMode>`, `Constable`

Enclosing class:
  MailConfig

public static enum MailConfig.HandlerMode extends Enum<MailConfig.HandlerMode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CUSTOM`
  `DEFAULT`
  `OFF`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MailConfig.HandlerMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MailConfig.HandlerMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OFF

    public static final MailConfig.HandlerMode OFF

  - ### DEFAULT

    public static final MailConfig.HandlerMode DEFAULT

  - ### CUSTOM

    public static final MailConfig.HandlerMode CUSTOM

- ## Method Details

  - ### values

    public static MailConfig.HandlerMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MailConfig.HandlerMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null